(* list.inc -- заголовочный файл для примера. *)
uses strings,stdio;

(* Определение основной структуры *)
type 
pMEMBER=^MEMBER;
MEMBER=record
  m_data:pchar;
  m_next:pMEMBER;
end;
ppMEMBER=^pMEMBER;

(* Определение функций *)
function new_member(data:pchar):pMEMBER;forward;
procedure add_member(head:ppMEMBER; newmem:pMEMBER);forward;
procedure free_list (head:ppMEMBER);forward;
procedure printlist (listhead:pMEMBER);forward;
